import { z, defineCollection } from "astro:content";

const service = defineCollection({
  type: "content",
  schema: z.object({
    title: z.string(),
    tag: z.string(),
    image: z.string().optional(),
  }),
});

const about = defineCollection({
  type: "content",
  schema: z.object({
    title: z.string().optional(),
    image: z.string().optional(),
  }),
});

const policy = defineCollection({
  type: "content",
  schema: z.object({
    heading: z.string().optional(),
  }),
});

const membership = defineCollection({
  type: "data",
  schema: z.object({
    title: z.string(),
    description: z.string().optional(),
    image: z.string().optional(),
    link: z.string().optional(),
  }),
});

export const collections = {
  service,
  membership,
  about,
  policy,
};
